{% extends "base.html" %}

{% block content %}

    <div class="d-flex flex-column align-items-start p-2 m-2">
        <h3>Task-{{ task.id }}</h3>
        <span>
            <b>Video file name:</b> 
            <a href="{{ url_for('_uploads.uploaded_file', setname='video', filename=task.video_file) }}">{{ task.video_file }}</a>
        </span>
        <span>
            <b>Frames count:</b> 
            {{ task.frames_count }}
        </span>
        <span>
            <b>Successfully processed frames:</b>
            <span class="text-success">{{ task.successful_frames | length }}</span>
        </span>
        <span>
            <b>Processeded with error frames:</b>
            <span class="text-danger">{{ task.failed_frames | length }}</span>
        </span>
        <span>
            <b>Created at:</b> 
            {{ task.created_at }}
        </span>
    </div>
    
    <hr>
    
    <h3>Frames:</h3>
    
    <div class="d-flex flex-column p-2">
        
        {% for record in frames %}
        
        <div class="d-flex flex-row p-3 bg-light">
            <img src="{{ url_for('_uploads.uploaded_file', setname='frames', filename=record.filename) }}" height="240" width="360">
            <div class="d-flex flex-column p-2">
                <ul>
                    {% for object_name, probability in record.data.items() %}
                    <li><b>{{ object_name }}</b>: {{ probability }}</li>
                    {% else %}
                    <span>Do not know(</span>
                    {% endfor %}
                </ul>
            </div>
        </div>
        
        {% else %}
        <span>Empty</span>
        {% endfor %}

        {% if frames %}
            <a href="{{ url_for('views.task_details', task_id=task.id, frames_count=frames_count+counter) }}" class="btn btn-primary">Show more</a>
        {% endif %}
    
    </div>

{% endblock %}
